Subject: The Willys Whippet
From: "Lori Blackner" <[email-masked]>
To: <[email-masked]>
Date: Mon, 21 Nov 2011 17:10:22 -0700

Dear Roice and Andrea,
 
We wanted to get you some photos of the Willys Whippet. The restoration job is fantastic and we are so proud to use this in parades and have on display at SUU.
 
Have a wonderful Thanksgiving holiday!
 
Lori

Lori Ann Blackner
Director of Development
Institutional Advancement
Southern Utah University 
351 W University Blvd
Cedar City, UT 84720
Office 435-865-8436
Fax 435-865-8391
Cell 435-590-0794
[email-masked]

Subject: Re: The Willys Whippet
From: "Pete Heilgeist" <[email-masked]>
To: "Lori Blackner" <[email-masked]>
Cc: "Stuart Jones" <[email-masked]>
Date: Fri, 11 Nov 2011 10:16:58 -0700

Hi Lori - the guys had to wait for a nicer day to get some good pics - here's three that I believe came out pretty well.  Hope the Donors are as impressed as I am.  Certainly we'd love to get them in the vehicle when they come to town.   

I'm going to get a couple of prints, probably 11 x 14's, of the Pic #394 and have them framed professionally.  We're going to hang one up in our office, maybe give one to the president; should I get one done for the donors as well? 

Thanks again,
pete 

 
>>> Lori Blackner 10/31/2011 1:42 PM >>> 
Pete,
 
That does make a difference. I know H. Roice and Andrea Nelson. Andrea and I went to school together. She is a Shirts. They live in Texas, but they do come out to Utah usually once a year. I called and left word for them to get us an e-mail address so we could send some pictures of the restored car. I will follow through and find out when they will be in town. Could you send me some photos of the car electronically?
 
Lori

>>> Pete Heilgeist 10/31/2011 1:32 PM >>>
Hi Lori - I've attached the "gift" letter from Roice to Jack Jenks that was done back in 2003.  He signed his name H. Roice Nelson so maybe we're dealing with a relative (or he just aged extremely well).  
Thanks for your help  - 
pete 

>>> Lori Blackner 10/31/2011 12:21 PM >>> 
Roice was in the class of 1915. He is deceased. I was not able to get any other information from our banner records. I wish someone knew his family so we could contact them.

Lori

>>> Pete Heilgeist 10/14/2011 1:33 PM >>>
Stuart - 
Any chance some one from your shop can contact Roice Nelson, the "Donator" of the Whippet.  We'd like to see if we can get him to come to campus and see what we've done with his car.  
Thanks,
Pete